Package: org.grails.web.servlet.context

## [Java] Class GrailsConfigUtils

- org.grails.web.servlet.context.GrailsConfigUtils

- A common class where shared configurational methods can reside.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `configureServletContextAttributes(javax.servlet.ServletContext servletContext, GrailsApplication application, GrailsPluginManager pluginManager, org.springframework.web.context.WebApplicationContext webContext)`
    `` | `static void` | `executeGrailsBootstraps(GrailsApplication application, org.springframework.web.context.WebApplicationContext webContext, javax.servlet.ServletContext servletContext)` Executes Grails bootstrap classes
    `` | `static boolean` | `isConfigTrue(GrailsApplication application, java.lang.String propertyName)` Checks if a Config parameter is true or a System property with the same name is true
    `` | `static boolean` | `isConfigTrue(java.lang.Object application, java.lang.String propertyName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static void configureServletContextAttributes(javax.servlet.ServletContext servletContext, GrailsApplication application, GrailsPluginManager pluginManager, org.springframework.web.context.WebApplicationContext webContext)

    - #### public static void executeGrailsBootstraps(GrailsApplication application, org.springframework.web.context.WebApplicationContext webContext, javax.servlet.ServletContext servletContext)

      Executes Grails bootstrap classes

      Parameters:
        `application` - The Grails ApplicationContext instance
        `webContext` - The WebApplicationContext instance
        `servletContext` - The ServletContext instance

    - #### public static boolean isConfigTrue(GrailsApplication application, java.lang.String propertyName)

      Checks if a Config parameter is true or a System property with the same name is true

      Parameters:
        application
        propertyName
      Returns:
        true if the Config parameter is true or the System property with the same name is true

    - #### public static boolean isConfigTrue(java.lang.Object application, java.lang.String propertyName)